Skip to main content
GET
/
api
/
partner
/
v2
/
banks
/
receivers
/
{receiverId}
/
accounts
cURL
curl --request GET \
  --url https://staging-api.capa.fi/api/partner/v2/banks/receivers/{receiverId}/accounts \
  --header 'partner-api-key: <partner-api-key>'
{
  "success": true,
  "data": {
    "count": 5,
    "total": 10,
    "data": [
      {
        "id": "<string>",
        "userId": "<string>",
        "accountNumber": "<string>",
        "accountType": "SAVINGS",
        "clabe": "<string>",
        "country": "MX",
        "rampType": "ON_RAMP",
        "isVerified": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "partnerId": "<string>",
        "bankName": "<string>",
        "documentNumber": "<string>",
        "documentType": "PASSPORT",
        "verificationStatus": "PENDING",
        "verifiedAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
}
Retrieves the bank accounts for a user by receiverId with pagination. First gets the user by receiver ID, then retrieves their bank accounts.

Error Codes

Common Errors

HTTP StatusCodeMessage
401UNAUTHORIZED”API Key is missing”
401UNAUTHORIZED”Invalid API Key format”
401UNAUTHORIZED”Invalid API Key”
403INVALID_PARTNER_FLOW”The partner has an invalid flow.”

User Ownership Errors

HTTP StatusCodeMessage
401UNAUTHORIZED”Partner information is required for this operation”
401UNAUTHORIZED”User is not associated with the partner”

Endpoint-Specific Errors

HTTP StatusCodeMessage
400INVALID_USER_INPUT_ERROR”Invalid User Input”
404RECEIVER_NOT_FOUND”Receiver not found.”

Headers

partner-api-key
string
required

Api key for the affiliated partner that is performing the request

Path Parameters

receiverId
string
required

The receiver ID to get bank info for

Example:

"8374f327-38bd-4b0b-b8a7-2524599eb903"

Query Parameters

userId
string

User identifier

Example:

"8374f327-38bd-4b0b-b8a7-2524599eb903"

country
enum<string>

Country filter

Available options:
MX,
DO,
US,
AT,
BE,
BG,
HR,
CY,
CZ,
DK,
EE,
FI,
FR,
DE,
GR,
HU,
IE,
IT,
LV,
LT,
LU,
MT,
NL,
PL,
PT,
RO,
SK,
SI,
ES,
SE,
IS,
LI,
NO,
CH,
GB,
MC,
SM,
AD,
VA,
CN
Example:

"MX"

rampType
enum<string>

Ramp type filter (ON_RAMP or OFF_RAMP)

Available options:
ON_RAMP,
OFF_RAMP,
CROSS_RAMP
Example:

"OFF_RAMP"

id
string

User bank info ID to fetch a specific bank account

Example:

"8374f327-38bd-4b0b-b8a7-2524599eb903"

skip
number

The number of elements to exclude from the results.

Example:

5

limit
number

The maximum amount of results to return.

Example:

5

sortBy
string

Supported values:

  • createdAt
Example:

"createdAt"

Response

200 - application/json

Retrieves the bank accounts for a user by receiverId with pagination. First gets the user by receiver ID, then retrieves their bank accounts.

success
boolean
Example:

true

data
object